> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PATCH /v2/card/{id}/sms-balance-notification



## OpenAPI

````yaml PATCH /v2/card/{id}/sms-balance-notification
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v2/card/{id}/sms-balance-notification:
    patch:
      tags:
        - card
      summary: Update card SMS balance notification
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
        - in: query
          name: validate
          schema:
            default: 0
            type: integer
            enum:
              - 0
              - 1
        - in: query
          name: signToken
          schema:
            type: string
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                isSmsBalanceNotification:
                  type: integer
                  enum:
                    - 0
                    - 1
                  description: SMS balance notification enabled state
              required:
                - isSmsBalanceNotification
          application/json:
            schema:
              type: object
              properties:
                isSmsBalanceNotification:
                  type: integer
                  enum:
                    - 0
                    - 1
                  description: SMS balance notification enabled state
              required:
                - isSmsBalanceNotification
      responses:
        '202':
          $ref: '#/components/responses/Sign'
        '204':
          description: OK
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth: []
components:
  responses:
    Sign:
      description: MFA sign required
      content:
        application/json:
          examples:
            default:
              value:
                status: MFA_REQUIRED
                mfaToken: def456
          schema:
            type: object
            required:
              - status
              - mfaToken
            properties:
              status:
                type: string
                example: MFA_REQUIRED
              mfaToken:
                type: string
                example: def456
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Unauthorized
              message:
                type: string
                example: Your request was made with invalid credentials.
              status:
                type: integer
                example: 401
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Forbidden
              message:
                type: string
                example: String
              status:
                type: integer
                example: 403
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Not Found
              message:
                type: string
                example: The requested resource could not be found.
              status:
                type: integer
                example: 404
          example:
            status: ERROR
            error:
              code: 404
              message: Not Found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````